* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: Arial, Helvetica, sans-serif;
}

html {
  scroll-behavior: smooth;
}

.mobile {
  display: none;
}

body {
  position: relative;
}

.invisible {
  display: none;
}

.blur {
  filter: blur(15px);
}

main {
  height: 160vh;
  background: url(./images/Header-llustration-desktop@2x.png) no-repeat;
  background-size: cover;
  background-position: center center;
  margin-top: -33px;
}

ul {
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-top: 16px;
}

ul li {
  list-style-type: none;
}

ul li a {
  text-decoration: none;
  color: #000;
  font-family: Arial, Helvetica, sans-serif;
  margin: 0 12px;
  font-weight: bolder;
}

.sup-text {
  opacity: 0;
  transform: translateY(3rem);
  font-weight: 600;
  animation: fadeIn 2.5s forwards;
}

@keyframes fadeIn {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.headline {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 160px 0;
}

.headline-text {
  font-style: normal;
  font-weight: bold;
  font-size: 40px;
  line-height: 52px;
  text-align: center;
  color: #172b4d;
  opacity: 0;
  transform: translateY(-3rem);
  animation: fadeIn 2.5s forwards;
}

h1 {
  font-family: Inter, Arial, Helvetica, sans-serif;
  font-style: normal;
  font-weight: 800;
  font-size: 38px;
  text-align: center;
  color: #172b4d;
  margin: 24px;
}

.primary {
  display: block;
  color: #36b37e;
}

p {
  width: 55%;
  height: 96px;
  margin: 24px 0;
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 32px;
  text-align: center;
  color: #172b4d;
}

.social {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0;
}

.social li a i {
  color: #505f79;
}

.drop-a {
  margin: 40px auto;
}

.dropdown {
  color: #797878;
}

.recent-work {
  width: 90%;
  margin: 120px auto;
}

.section-header {
  max-width: 100%;
  font-weight: bold;
  font-size: 40px;
  line-height: 52px;
  display: flex;
  justify-content: center;
  text-align: center;
  color: #172b4d;
  margin: 20px auto;
}

.indicator {
  display: none;
}

.grid-container {
  display: grid;
  justify-content: center;
  grid-template-columns: 1fr 1fr 1fr;
}

.item {
  min-height: 474px;
  margin: 14px;
  border: 1px solid #9b9c9c;
  border-radius: 8px;
}

.placeholder {
  padding: 5px;
  margin: auto;
  height: 50%;
  border-bottom: 1px solid #000;
}

.placeholder img {
  width: 100%;
  height: 100%;
}

.text {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 16px;
}

h3 {
  height: 57px;
  font-style: normal;
  font-weight: 600;
  font-size: 24px;
  line-height: 32px;
  text-align: center;
  color: #3a4a42;
  margin: 0 auto;
}

.skillsbar {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  margin: 16px 0;
}

.skillsbar li {
  padding: 8px;
  background: #ebf0ee;
  border-radius: 4px;
  margin: 4px;
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  color: #3a4a42;
}

button {
  border: none;
  cursor: pointer;
  padding: 10px;
  border-radius: 4px;
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.03em;
  color: #fff;
  background: #36b37f;
  margin: 25px 10px;
  transition: 1s;
}

.a-but {
  text-decoration: none;
  color: #fff;
}

button:hover {
  background: #008552;
}

.aboutme-text {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.bg-img-1 {
  position: absolute;
  left: calc(100% - 259.5px);
  top: calc(0% - 100px);
  background:
    url(./images/illustration-about-me-1-desktop@2x.png) no-repeat
    center center/cover;
  height: 264.7px;
  width: 259.5px;
}

.bg-img-2 {
  position: absolute;
  left: 0;
  top: calc(80% - 155.24px);
  background: url(./images/illustration-about-me-right.png) no-repeat;
  width: 288.04px;
  height: 155.24px;
}

.aboutme-p {
  width: 50%;
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 32px;
  text-align: center;
  color: #42526e;
  margin: 14px auto;
}

.flex-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 4px 8px;
  max-width: 1000px;
  margin: 0 auto;
}

.grid-item {
  background: #ebf0ee;
  border: 1px solid #c1c7d0;
  box-sizing: border-box;
  border-radius: 8px;
  min-width: 20%;
  height: 352px;
  margin: 24px 10px;
}

.icon {
  height: 128px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.icon-img {
  width: 80px;
  height: 80px;
  padding: 15px;
  border-radius: 50%;
  background: #fff;
  box-shadow: 0 16px 24px rgba(37, 47, 137, 0.08);
}

.tags {
  display: flex;
  flex-direction: row;
  justify-content: center;
  height: 40px;
  margin: 0 8px;
  margin-top: 25px;
}

.tags li {
  padding: 12px;
  background: #fff;
  border-radius: 8px;
  margin: auto 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.03em;
  color: #36b37e;
}

.tag-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 88px;
  margin: 24px auto;
}

.tag-element-1 {
  display: flex;
  justify-content: center;
  height: 40px;
  margin: 8px 0;
}

.tag-element-1 li {
  padding: 12px;
  height: 40px;
  background: #fff;
  border-radius: 8px;
  margin: 0 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.03em;
  color: #36b37e;
}

.tag-element-2 {
  display: flex;
  flex-direction: row;
  justify-content: center;
  height: 40px;
  margin: 8px 0;
}

.tag-element-2 li {
  padding: 12px;
  height: 40px;
  background: #fff;
  border-radius: 8px;
  margin: 0 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.03em;
  color: #36b37e;
}

.tag-element-3 {
  display: flex;
  flex-direction: row;
  justify-content: center;
  height: 40px;
  margin: 8px 0;
}

.tag-element-3 li {
  padding: 12px;
  height: 40px;
  background: #fff;
  border-radius: 8px;
  margin: 0 4px;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.03em;
  color: #36b37e;
}

.form-container {
  position: relative;
  max-width: 100vw;
  margin-top: 33px;
}

form {
  position: relative;
  display: flex;
  justify-content: flex-start;
  padding: 0;
  max-width: 1000px;
  margin: 0 auto;
  z-index: 3;
}

.form-header {
  display: flex;
  flex-direction: column;
  align-self: center;
  width: 50%;
  font-family: Inter, Arial, Helvetica, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 40px;
  line-height: 52px;
  color: #172b4d;
  margin: 0;
  text-align: start;
}

.form-group {
  width: 50%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0;
  position: static;
  margin: 38px auto;
}

.form-control {
  position: relative;
  width: 100%;
}

.form-control input {
  width: 100%;
  padding: 15px;
  background: #fff;
  border: 1px solid #d0d9d4;
  box-sizing: border-box;
  border-radius: 4px;
  margin: 12px auto;
}

.form-control textarea {
  width: 100%;
  height: 114px;
  background: #fff;
  border: 1px solid #60c095;
  box-sizing: border-box;
  border-radius: 4px;
  padding: 12px;
  margin: 12px auto;
  font-family: Inter, Arial, Helvetica, sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 15px;
  line-height: 24px;
  color: #091e42;
  resize: none;
}

.form-control .textarea-img {
  position: absolute;
  left: 97%;
  top: 77.67%;
  color: #60c095;
}

.form-button {
  align-self: flex-start;
  width: 128px;
  height: 48px;
  margin-left: 0;
}

.footer {
  position: absolute;
  bottom: -400px;
  width: 100%;
}

.medium {
  margin-top: 2px;
}

.form-social li {
  list-style-type: none;
  padding: 0.15rem;
  margin: 10px 0;
}

.email-container {
  display: none;
}

.ds-form-img {
  position: absolute;
  top: calc(60%);
  left: calc(100% - 225px);
  background: url(./images/Frame1.svg);
  background-repeat: no-repeat;
  width: 225px;
  height: 492px;
}

.ds-form-img-2 {
  position: absolute;
  top: calc(90%);
  left: 0;
  background:
    url(./images/illustration-1-contact-form-desktop.png) center
    center/cover;
  width: 235.78px;
  height: 261.79px;
}

.ds-form-img-3 {
  position: absolute;
  top: calc(120%);
  left: 25%;
  background:
    url(./images/illustration-2-contact-form-desktop-middle.png)
    center center/cover;
  width: 130.28px;
  height: 105.85px;
}

.isfixed {
  position: fixed;
}

.window {
  position: fixed;
  z-index: 80;
  right: 0;
  left: 0;
  bottom: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  background: #c1c7d07c;
  backdrop-filter: blur(10px);
  border: 1px solid black;
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow-y: scroll;
  transform: translateX(-100%);
  animation: bringIn 500ms forwards;
}

@keyframes bringIn {
  to {
    transform: translateX(0);
  }
}

.container {
  position: relative;
  width: 70%;
  margin: 2% auto;
  display: flex;
  flex-direction: column;
  background: rgb(255, 255, 255);
  padding: 1%;
  border-radius: 15px;
}

.header-container {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-top: 3%;
}

.container-title {
  width: 50%;
  font-family: Inter, Arial, Helvetica, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 32px;
}

.popup-img {
  width: 80%;
  margin: auto;
}

.close-button {
  align-self: flex-end;
  border: none;
  padding: 8px 12px;
  border-radius: 4px;
  font-style: normal;
  font-weight: 500;
  text-align: center;
  letter-spacing: 0.03em;
  color: rgb(49, 48, 48);
  background: #cdcecd;
  margin: 5px;
}

.modal-ul {
  justify-content: flex-start;
}

.description {
  width: 100%;
  height: inherit;
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 28px;
  padding: 10px;
  text-align: start;
  color: #172b4d;
  margin: 0% auto;
}

.butt {
  display: flex;
  justify-content: flex-end;
  width: 50%;
}

.butt > button {
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.butt a {
  text-decoration: none;
  color: #fff;
}

span {
  margin: auto 4px;
  text-align: center;
}

.error {
  color: #da2c2c;
  font-weight: 400;
  font-size: 1rem;
  margin-bottom: 15px;
  text-align: center;
}
